"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decompress = exports.compress = void 0;
const jsgzip = require("pako");
/**
 * Compress utf8 string to base64 string
 *
 * @param text utf8 string
 * @returns base64 string
 */
async function compress(text) {
    return new Promise((resolve, reject) => {
        try {
            // const buffer = Buffer.from(text);
            const res = jsgzip.gzip(text, { to: 'string' });
            return resolve(btoa(res));
        }
        catch (error) {
            return reject(error);
        }
    });
}
exports.compress = compress;
/**
 * Decompress base64 string to utf8 string
 *
 * @param text base64 string
 * @returns utf8 string
 */
async function decompress(text) {
    return new Promise((resolve, reject) => {
        try {
            // const buffer = Buffer.from(text, 'base64');
            const res = jsgzip.ungzip(atob(text), { to: 'string' });
            return resolve(res);
        }
        catch (error) {
            return reject(error);
        }
    });
}
exports.decompress = decompress;
exports.default = {
    compress,
    decompress,
};
